IF NOT  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LogTmInventario]') AND type in (N'U'))
 BEGIN
CREATE TABLE LogTmInventario ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
IdUsuario VARCHAR(5) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
IdCia CHAR(2) DEFAULT ('00') NOT NULL,
nAnno INT DEFAULT ((0)) NOT NULL,
nMes INT DEFAULT ((0)) NOT NULL,
SaldoInicial DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Entradas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Despachos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Salidas DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
AjuSobrante DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
AjuFaltante DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SaldoFinal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
Producto VARCHAR(150),
Unidad VARCHAR(50)
 CONSTRAINT PK_LogTmInventario PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_LogTmInventarioIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogTmInventarioIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmInventarioIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmInventarioTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmInventarioUndMed CHECK ((len([UndMed])>(0))))

CREATE CLUSTERED INDEX IX_LogTmInventarioIdProducto ON LogTmInventario(IdUsuario,IdProducto,IdCia,nAnno,nMes)

 END  

